Get conversation summary
Return a lightweight conversation summary without tool calls, tool results, or contextual updates. Use the conversation details endpoint for the full transcript
Headers
Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.
Path Parameters
The id of the conversation you're taking the action on.
"21m00Tcm4TlvDq8ikWAM"
Query Parameters
Maximum number of chat message turns to include inline. When the conversation has more than this, the messages are omitted and messages_omitted is set.
1 <= x <= 200Response
Successful Response
initiated, in-progress, processing, done, failed Number of plain chat message turns in the conversation.
Guidance telling the agent how to get the full transcript.
Short generated title for the conversation.
Generated natural-language summary of the call.
success, failure, unknown The plain chat messages (role and text only). Included only when message_count does not exceed the requested max_messages; otherwise null and messages_omitted is true.
True when the chat messages were omitted because the conversation was too long. Fetch the full transcript for the messages.